latlink_list_s Struct Reference

Linked list of DAG link pointers. More...

`#include <ps_lattice_internal.h>`

## Data Fields

ps_latlink_t * | link
struct latlink_list_s * | next

## Detailed Description

Linked list of DAG link pointers.

Because the same link structure is used for forward and reverse links, as well as for the agenda used in bestpath search, we can't store the list pointer inside latlink_t. We could use glist_t here, but it wastes 4 bytes per entry on 32-bit machines.

Definition at line 53 of file ps_lattice_internal.h.

## Field Documentation

## link

ps_latlink_t* latlink_list_s::link

Definition at line 54 of file ps_lattice_internal.h.

## next

struct latlink_list_s* latlink_list_s::next

Definition at line 55 of file ps_lattice_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h